%define name congruity
%define summary A simple GUI to program Logitech(R) Harmony(R) remotes
%define version 18
%define release %mkrel 2

Summary:	%summary
Name: 		%name
Version: 	%version
Release: 	%release
License:	GPLv3+
Group:		Communications
URL:		http://sourceforge.net/projects/congruity/
Source0:	%{name}-%{version}.tar.xz
Patch0:		wxpython3.0.patch
Patch1:		login_fixes.patch
Patch2:		supportedcapabilities.patch
Patch3:		0001-Fix-setup-login-URLs-to-match-changes-in-web-service.patch
BuildRoot: 	%_tmppath/%name-%version-buildroot
BuildRequires: desktop-file-utils
BuildRequires: libconcord-devel
Requires:	wxPythonGTK
Requires:	xdg-utils
Requires:	python-libconcord
Requires:	python
Requires:	python-ctypes
Requires:	python-suds
Requires:	concordance

%description
A simple GUI to program Logitech(R) Harmony(R) remotes.  This software
allows you to program your Logitech Harmony remote using a configuration
object retreived from the harmony website: http://members.harmonyremote.com/.
To run the program navigate to More Applications>Configuration and click on
"Logitech Harmony Configuration".  Please see http://www.phildev.net/concordance/ 
for supported models.
A tool called 'mhgui' is also included for configuring remotes that only
work through the myharmony.com website, which does not work with Linux.
This includes the Harmony 200 and Harmony 300. To use it, simply run
'mhgui' and follow the prompts.


%prep
%setup -q
%apply_patches

%build

%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

# install icons 
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 remote.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 remote.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 remote.png %{buildroot}%_liconsdir/%{name}.png
 
# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png

#
#Create .desktop file for web browser launch to harmony website
cat > $RPM_BUILD_ROOT%{_datadir}/applications/harmony-www.desktop <<EOF
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
Name=Logitech Harmony Configuration
GenericName=
Comment=%{summary}
Icon=%{name}
Exec=xdg-open http://members.harmonyremote.com/
Terminal=false
StartupNotify=false
Categories=X-MandrivaLinux-System-Configuration-Hardware;
EOF

make install DESTDIR=%{buildroot} PREFIX=/usr MANDIR=%{_mandir} RUN_UPDATE_DESKTOP_DB=0
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/mhgui.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc Changelog COPYING LICENSE.txt README.txt
%{_bindir}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mhgui.desktop
%{_datadir}/applications/harmony-www.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/*/*

%changelog
* Fri Jan 13 2017 adrianomorselli <adrianomorselli> 18-2uplos2017
- rebuild

* Sat Nov 19 2016 bb <bb> 18-2pclos2016
- update and apply patches

